<?php
include"koneksi.php";

$id = $_POST['detailpo_id'];
$po_id = $_POST['po_id'];
$product_id = $_POST['product_id'];
$qty_po = $_POST['qty_po'];
		if ($po_id == '') {
			$data['error']['edit_po_id'] = 'Data PO  tidak boleh kosong';
		}
		if ($product_id == '') {
			$data['error']['edit_product_id'] = 'Data Product Tidak Boleh Kosong';
		}
		if ($qty_po == '') {
			$data['error']['edit_qty_po'] = 'Quantity PO Tidak Boleh Kosong';
		}

		if (empty($data['error'])) {
			$query = "UPDATE detail_po SET
											PO_ID = '$po_id',
											ProductID = '$product_id',
											QtyPO = '$qty_po'
											WHERE DetailPO_ID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

